SPI_COMMIT(3)

NAME
SPI_commit - commit the current transaction

SYNOPSIS

void SPI_commit(void)

DESCRIPTION

SPI_commit commits the current transaction. It is approximately equivalent to running the SQL command COMMIT. After the transaction is committed, a new transaction is automatically started using default transaction characteristics, so that the caller can continue using SPI facilities. If there is a failure during commit, the current transaction is instead rolled back and a new transaction is started, after which the error is thrown in the usual way.

This function can only be executed if the SPI connection has been set as nonatomic in the call to SPI_connect_ext.